---
updatedAt: 2025-11-11T00:09:59.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/llms.txt
---

# Credit Score

This end-point gets an individual credit score from credit bureau.

This endpoint returns the customer’s current credit score generated by the Credit Score Engine for the customer.

Test Client id : IKIA9614B82064D632E9B6418DF358A6A4AEA84D7218

Test Client Secret : XCTiBtLy1G9chAnyg0z3BcaFK4cVpwDg/GTw2EmjTZ8=

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "ipg",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.interswitchng.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/credit-score-engine/v1/credit-score": {
      "get": {
        "summary": "Credit Score",
        "description": "This end-point gets an individual credit score from credit bureau.",
        "operationId": "credit-score",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "msisdn",
            "in": "query",
            "description": "The Phone number(MSISDN) of the customer whose credit score we are trying to retrieve",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    “responseCode”: “00”,\n    “responseDescription”: “Successful”,\n    “creditScores”: [\n        {\n            “id”: 487,\n            “msisdn”: “2348123456789”,\n            “score”: “32”,\n            “dateCreated”: “2020-09-04”\n        }\n    ]\n}"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl https://sandbox.interswitchng.com//v1/credit-score?msisdn=2348123456789 \\\n-H \"Authorization: <token>\" \\\n-H \"Content-Type: application/json\" \n-X GET"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```